/*
*	interp.c - biblioteko por ŝanĝo refalmaŝinon dum la laboro.
*	© 2005, A.A.Vladimirov.
*
*	Ĉi tiu verko estas libera programaro; vi povas ĝin pludistribui kaj/aŭ
*	modifi je la kondiĉoj de la GNUa Ĝenerala Publika Permesilo, eldonita de
*	«Free Software Foundation», laŭ la versio 2 de tiu Permesilo aŭ, se vi
*	preferas, ajna posta versio.
*
*	Ni distribuas ĉi tiun programon esperante ke ĝi estos utila, tamen
*	SEN IA AJN GARANTIO, i.a. sen la implica garantio pri SURMERKANTIGEBLO
*	aŭ TAŬGECO POR IU KONKRETA CELO. Pliajn detalojn vidu en la GNUa
*	Ĝenerala Publika Permesilo.
*
*	Ekzemplero de la GNUa Ĝenerala Publika Permesilo devas esti liverita al vi
*	kun ĉi tiu programo; se vi ĝin ne ricevis, turnu vin al
*	
*	Free Software Foundation, Inc.,
*	59 Temple Place, Suite 330,
*	Boston, MA 02111-1307
*	USA
*
*/

# include "refal.h"


void int_sxargi (void) __attribute__ ((constructor));


void int_interp (void);


/* ========================================================================== */


extern void ref_eraro (int);
extern void interp_krei_masxinon (char*);
extern void interp_aldoni_enkonstruitan (char* nomo, void (*funk) (void));
extern void baz_krei_linion (char*);
extern void baz_krei_bajtojn (char*);
extern unsigned long baz_preni_literon (char*, int*);
extern unsigned long baz_preni_bajton (char*, int*);


/* ========================================================================== */

void int_sxargi () {
	
	interp_aldoni_enkonstruitan ("interp", int_interp);
	return;
}

/* ========================================================================== */


void int_interp () {
	char *titolo;
	
	titolo = (char *) malloc (sizeof (char) * LIN_LIM);
	if (titolo == NULL) ref_eraro (1);
	baz_krei_linion (titolo);
	if (KKK->sekv != KKP) ref_eraro (8);
	interp_krei_masxinon (titolo);
	return;
}

